JavaScript/jQuery Lookup - Keyboard Support
An end user can use the following keys to interact with the UI component.
Key | Action |
---|---|
Alt + ↓ | Opens the drop-down menu. |
Enter or Space | If the drop-down menu is closed, opens it; otherwise selects the current item. |
Esc | Closes the drop-down menu. |
↑ / ↓ | If the drop-down menu is opened, moves focus to the previous/next item. |
Tab / Shift + Tab | If the drop-down menu is opened, moves focus to the list / search field. |
Page Up / Page Down | Moves focus to the first/last menu item on the page. |
Home / End | Moves focus to the first/last menu item. |
You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.
JavaScript
- function registerKeyHandlers () {
- const lookup = $("#lookupContainer").dxLookup("instance");
- lookup.registerKeyHandler("backspace", function(e) {
- // The argument "e" contains information on the event
- });
- lookup.registerKeyHandler("space", function(e) {
- // ...
- });
- }
See Also
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.

React Lookup - Keyboard Support

An end user can use the following keys to interact with the UI component.

Key Action
Alt + ↓ Opens the drop-down menu.
Enter or Space If the drop-down menu is closed, opens it; otherwise selects the current item.
Esc Closes the drop-down menu.
↑ / ↓ If the drop-down menu is opened, moves focus to the previous/next item.
Tab / Shift + Tab If the drop-down menu is opened, moves focus to the list / search field.
Page Up / Page Down Moves focus to the first/last menu item on the page.
Home / End Moves focus to the first/last menu item.

You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Lookup } from 'devextreme-react/lookup';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.lookupRef = React.createRef();
  • }
  •  
  • render() {
  • return (
  • <Lookup ref={this.lookupRef} />
  • );
  • }
  •  
  • get lookup() {
  • return this.lookupRef.current.instance;
  • }
  •  
  • componentDidMount() {
  • this.lookup.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.lookup.registerKeyHandler('space', function(e) {
  • // ...
  • });
  • }
  • }
  •  
  • export default App;
See Also